@extends('layouts.app')

@section('page_title', 'View Locked Account')

@section('content')
<div class="container-fluid py-4">
    <div class="row justify-content-center">
        <div class="card">
            <div class="card-header border-0 bg-transparent">
                <h5 class="mb-0">View Locked Account</h5>
            </div>
            <div class="card-body">
                @if (session('success'))
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        {{ session('success') }}
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                @endif
                @if (session('error'))
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        {{ session('error') }}
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                @endif

                @if (isset($member))
                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label">Card Number</label>
                                <input type="text" class="form-control" value="{{ $member['cardNumber'] ?? 'N/A' }}" readonly>
                            </div>
                            <div class="mb-3">
                                <label class="form-label">First Name</label>
                                <input type="text" class="form-control" value="{{ $member['firstName'] ?? 'N/A' }}" readonly>
                            </div>
                            <div class="mb-3">
                                <label class="form-label">Last Name</label>
                                <input type="text" class="form-control" value="{{ $member['lastName'] ?? 'N/A' }}" readonly>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label">Birthday</label>
                                <input type="text" class="form-control" value="{{ $member['birthday'] ? \Carbon\Carbon::parse($member['birthday'])->format('m/d/Y') : 'N/A' }}" readonly>
                            </div>
                            <div class="mb-3">
                                <label class="form-label">Card Type</label>
                                <input type="text" class="form-control" value="{{ $member['cardType'] ?? 'N/A' }}" readonly>
                            </div>
                            <div class="mb-3">
                                <label class="form-label">Status</label>
                                <input type="text" class="form-control" value="{{ $member['status'] ?? 'N/A' }}" readonly>
                            </div>
                            <div class="mb-3">
                                <label class="form-label">Lock Status</label>
                                <input type="text" class="form-control" value="{{ $member['is_locked'] == 1 ? 'Locked' : 'Unlocked' }}" readonly>
                            </div>
                        </div>
                    </div>

                    <div class="text-end">
                        @if ($member['is_locked'] == 1)
                            <form action="{{ route('locked-accounts.activate', $member['id']) }}" method="POST" class="d-inline">
                                @csrf
                                @method('POST')
                                <button type="submit" class="btn btn-success btn-sm me-2" onclick="return confirm('Are you sure you want to activate this account?')">
                                    <i class="fa-solid fa-unlock me-1"></i> Activate Account
                                </button>
                            </form>
                        @endif
                        <a href="{{ route('locked-accounts') }}" class="btn btn-primary btn-sm">
                            Back to Locked Accounts
                        </a>
                    </div>
                @else
                    <p>No account data available.</p>
                @endif
            </div>
        </div>
    </div>
</div>
@endsection